#include <math.h>
#include <gsl/gsl_const_mks.h>
#include <mpi++.h>
#include "gfdtd.h"


void clear_fields(Fields *fields, char *mode)
{

	if(strcmp(mode,"TM")==0)
	{

		/* init Ez field */
		fields->Ez.Zero();
		fields->Ezx1.Zero();
		fields->Ezy1.Zero();
		fields->Ezx2.Zero();
		fields->Ezy2.Zero();
		fields->Ezx3.Zero();
		fields->Ezy3.Zero();
		fields->Ezx4.Zero();
		fields->Ezy4.Zero();
		fields->Ezx5.Zero();
		fields->Ezy5.Zero();
		fields->Ezx6.Zero();
		fields->Ezy6.Zero();
		fields->Ezx7.Zero();
		fields->Ezy7.Zero();
		fields->Ezx8.Zero();
		fields->Ezy8.Zero();

		/* init Hx field */
		fields->Hx.Zero();
		fields->Hx1.Zero();
		fields->Hx2.Zero();
		fields->Hx3.Zero();
		fields->Hx4.Zero();
		fields->Hx5.Zero();
		fields->Hx6.Zero();
		fields->Hx7.Zero();
		fields->Hx8.Zero();
	
		/* init Hy field */
		fields->Hy.Zero();
		fields->Hy1.Zero();
		fields->Hy2.Zero();
		fields->Hy3.Zero();
		fields->Hy4.Zero();
		fields->Hy5.Zero();
		fields->Hy6.Zero();
		fields->Hy7.Zero();
		fields->Hy8.Zero();
	}
	
	if(strcmp(mode,"TE")==0)
	{
		/* init Hz field */
		fields->Hz.Zero();
		fields->Hzx1.Zero();
		fields->Hzy1.Zero();
		fields->Hzx2.Zero();
		fields->Hzy2.Zero();
		fields->Hzx3.Zero();
		fields->Hzy3.Zero();
		fields->Hzx4.Zero();
		fields->Hzy4.Zero();
		fields->Hzx5.Zero();
		fields->Hzy5.Zero();
		fields->Hzx6.Zero();
		fields->Hzy6.Zero();
		fields->Hzx7.Zero();
		fields->Hzy7.Zero();
		fields->Hzx8.Zero();
		fields->Hzy8.Zero();
	
		/* init Ex field */
		fields->Ex.Zero();
		fields->Ex1.Zero();
		fields->Ex2.Zero();
		fields->Ex3.Zero();
		fields->Ex4.Zero();
		fields->Ex5.Zero();
		fields->Ex6.Zero();
		fields->Ex7.Zero();
		fields->Ex8.Zero();
	
		/* init Ey field */
		fields->Ey.Zero();
		fields->Ey1.Zero();
		fields->Ey2.Zero();
		fields->Ey3.Zero();
		fields->Ey4.Zero();
		fields->Ey5.Zero();
		fields->Ey6.Zero();
		fields->Ey7.Zero();
		fields->Ey8.Zero();

	}
}
